CrowdPass API Documentation
The complete REST API reference for CrowdPass. Integrate event management, attendee registration, ticketing, and communication into your applications.
Quick Start
Get up and running with the CrowdPass API in three simple steps.
Authenticate
Get your API token by authenticating with your CrowdPass credentials.
# Authenticate with Auth0 to get your access tokencurl -X POST https://dashboard.crowdpass.co/api/public/users/auth0 \ -H "Content-Type: application/json" \ -d '{ "email": "dev@yourcompany.com" }'Make a request
Use your token to make authenticated API calls.
# List your eventscurl https://dashboard.crowdpass.co/api/v1/events \ -H "Authorization: Bearer YOUR_TOKEN" \ -H "Content-Type: application/json"Explore the response
All responses return structured JSON with data and metadata.
{ "data": [ { "id": 1234, "title": "Tech Conference 2026", "status": "Published", "startDate": "2026-06-15T09:00:00Z", "endDate": "2026-06-17T18:00:00Z" } ], "meta": { "total": 12, "page": 1 }}Authentication
The CrowdPass API uses Auth0 for authentication. Authenticate via /api/public/users/auth0 to receive a JWT Bearer token. All authenticated endpoints require a valid token in the Authorization header.
Authorization: Bearer <token>Error Codes
| Code | Name | Description |
|---|---|---|
401 | Unauthorized | Invalid or missing authentication token |
403 | Forbidden | Valid token but insufficient permissions |
429 | Rate Limited | Too many requests — retry after the Retry-After header value |
400 | Bad Request | Invalid request body or parameters |
404 | Not Found | Requested resource does not exist |
500 | Server Error | Internal server error — contact support if persistent |
// Authenticate via Auth0 endpointconst response = await fetch( "https://dashboard.crowdpass.co/api/public/users/auth0", { method: "POST", headers: { "Content-Type": "application/json" }, body: JSON.stringify({ email: "dev@yourcompany.com", }), }); const { access_token } = await response.json(); // Use the token for subsequent requestsconst events = await fetch( "https://dashboard.crowdpass.co/api/v1/events", { headers: { Authorization: `Bearer ${access_token}`, }, });API Reference
Complete reference for all 25 modules and 261 endpoints.
Authentication
User authentication via Auth0, account management, and email verification.
11 endpoints/api/public/users/existsCheck if a user account exists by email
import requests
url = "https://dashboard.crowdpass.co/api/public/users/exists"
response = requests.get(url)
print(response.json())/api/public/users/verify-emailVerify a user email address with confirmation code
Parameters
codestringimport requests
url = "https://dashboard.crowdpass.co/api/public/users/verify-email"
response = requests.post(url)
print(response.json())/api/public/users/auth0Authenticate via Auth0 and retrieve access token
Request Body
emailstringnullableimport requests
url = "https://dashboard.crowdpass.co/api/public/users/auth0"
payload = {
"email": null
}
response = requests.post(url, json=payload)
print(response.json())/api/v1/users/continueContinue account linking process
Requires authenticationRequest Body
resultCommandResultprimaryIdentityUserIdstringnullablesessionTokenstringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/users/continue"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"result": {},
"primaryIdentityUserId": null,
"sessionToken": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())/api/v1/users/currentGet current authenticated user profile
Requires authenticationResponse· UserDto
emailstringnullablephoneNumberstringnullablefirstNamestringnullablelastNamestringnullableidinteger (int32)emailVerifiedbooleanprofileCompletedbooleanregistrationCompletedbooleanimport requests
url = "https://dashboard.crowdpass.co/api/v1/users/current"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"email": null,
"phoneNumber": null,
"firstName": null,
"lastName": null,
"id": 0,
"emailVerified": false,
"profileCompleted": false,
"registrationCompleted": false,
"isSuperAdmin": false,
"isEnterpriseUser": false
}/api/v1/users/currentUpdate current user profile
Requires authenticationRequest Body
emailstringnullablephoneNumberstringnullablefirstNamestringnullablelastNamestringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/users/current"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"email": null,
"phoneNumber": null,
"firstName": null,
"lastName": null
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())/api/v1/users/currentDelete current user account
Requires authenticationimport requests
url = "https://dashboard.crowdpass.co/api/v1/users/current"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.delete(url, headers=headers)
print(response.json())/api/v1/users/from-identityCreate user account from identity provider
Requires authenticationParameters
isAttendeebooleanResponse· UserDto
emailstringnullablephoneNumberstringnullablefirstNamestringnullablelastNamestringnullableidinteger (int32)emailVerifiedbooleanprofileCompletedbooleanregistrationCompletedbooleanimport requests
url = "https://dashboard.crowdpass.co/api/v1/users/from-identity"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.post(url, headers=headers)
print(response.json()){
"email": null,
"phoneNumber": null,
"firstName": null,
"lastName": null,
"id": 0,
"emailVerified": false,
"profileCompleted": false,
"registrationCompleted": false,
"isSuperAdmin": false,
"isEnterpriseUser": false
}/api/v1/users/completeComplete user registration
Requires authenticationRequest Body
emailstringnullablephoneNumberstringnullablefirstNamestringnullablelastNamestringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/users/complete"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"email": null,
"phoneNumber": null,
"firstName": null,
"lastName": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())/api/v1/users/email-confirmationResend email confirmation
Requires authenticationParameters
isAttendeebooleanisTeammatebooleanimport requests
url = "https://dashboard.crowdpass.co/api/v1/users/email-confirmation"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.post(url, headers=headers)
print(response.json())/api/v1/users/updateTeamWithInvitationAccept team invitation and update membership
Requires authenticationParameters
invitationCodestringimport requests
url = "https://dashboard.crowdpass.co/api/v1/users/updateTeamWithInvitation"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json())Companies
Company profile management, Stripe Connect, billing, and fee configuration.
16 endpoints/api/v1/companies/existsCheck if a company exists for current user
Requires authenticationParameters
companyNamestringResponse· CompanyExistsModel
existsbooleanimport requests
url = "https://dashboard.crowdpass.co/api/v1/companies/exists"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"exists": false
}/api/v1/companies/namesList company names for current user
Requires authenticationParameters
pageSizeinteger (int32)currentPageinteger (int32)Response· GetCompanyNamesQueryResult
statusFeatureResultStatusdataobjectnullablemessagestringnullabletotalItemCountinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/companies/names"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"status": {},
"data": null,
"message": null,
"totalItemCount": 0
}/api/v1/companies/top-up-creditsPurchase additional credits
Requires authenticationRequest Body
companyIdinteger (int32)quantityinteger (int32)Response· CompanyExistsModel
existsbooleanimport requests
url = "https://dashboard.crowdpass.co/api/v1/companies/top-up-credits"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"companyId": 0,
"quantity": 0
}
response = requests.post(url, json=payload, headers=headers)
print(response.json()){
"exists": false
}/api/v1/companies/currentGet current company profile
Requires authenticationResponse· CompanyDto
namestringnullableemailstringnullablephoneNumberstringnullabledefaultLogoBlobIdinteger (int32)nullabledefaultPageBackgroundBlobIdinteger (int32)nullableidinteger (int32)profileCompletedbooleanhasActiveSubscriptionbooleanimport requests
url = "https://dashboard.crowdpass.co/api/v1/companies/current"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"name": null,
"email": null,
"phoneNumber": null,
"defaultLogoBlobId": null,
"defaultPageBackgroundBlobId": null,
"id": 0,
"profileCompleted": false,
"hasActiveSubscription": false,
"subscription": {},
"extraRegistrations": 0,
"stripeConnectAccountId": null,
"stripeChargesEnabled": null,
"stripePayoutsEnabled": null,
"stripeAccountStatus": null,
"hostCreatedTicketTypeFees": null
}/api/v1/companies/currentUpdate current company profile
Requires authenticationRequest Body
namestringnullableemailstringnullablephoneNumberstringnullabledefaultLogoBlobIdinteger (int32)nullabledefaultPageBackgroundBlobIdinteger (int32)nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/companies/current"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"name": null,
"email": null,
"phoneNumber": null,
"defaultLogoBlobId": null,
"defaultPageBackgroundBlobId": null
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())/api/v1/companies/current/feesGet company fee configuration
Requires authenticationResponse· CompanyDto
namestringnullableemailstringnullablephoneNumberstringnullabledefaultLogoBlobIdinteger (int32)nullabledefaultPageBackgroundBlobIdinteger (int32)nullableidinteger (int32)profileCompletedbooleanhasActiveSubscriptionbooleanimport requests
url = "https://dashboard.crowdpass.co/api/v1/companies/current/fees"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"name": null,
"email": null,
"phoneNumber": null,
"defaultLogoBlobId": null,
"defaultPageBackgroundBlobId": null,
"id": 0,
"profileCompleted": false,
"hasActiveSubscription": false,
"subscription": {},
"extraRegistrations": 0,
"stripeConnectAccountId": null,
"stripeChargesEnabled": null,
"stripePayoutsEnabled": null,
"stripeAccountStatus": null,
"hostCreatedTicketTypeFees": null
}/api/v1/companies/completeComplete company onboarding setup
Requires authenticationRequest Body
namestringnullableemailstringnullablephoneNumberstringnullableResponse· CompanyDto
namestringnullableemailstringnullablephoneNumberstringnullabledefaultLogoBlobIdinteger (int32)nullabledefaultPageBackgroundBlobIdinteger (int32)nullableidinteger (int32)profileCompletedbooleanhasActiveSubscriptionbooleanimport requests
url = "https://dashboard.crowdpass.co/api/v1/companies/complete"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"name": null,
"email": null,
"phoneNumber": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json()){
"name": null,
"email": null,
"phoneNumber": null,
"defaultLogoBlobId": null,
"defaultPageBackgroundBlobId": null,
"id": 0,
"profileCompleted": false,
"hasActiveSubscription": false,
"subscription": {},
"extraRegistrations": 0,
"stripeConnectAccountId": null,
"stripeChargesEnabled": null,
"stripePayoutsEnabled": null,
"stripeAccountStatus": null,
"hostCreatedTicketTypeFees": null
}/api/v1/companies/billing-historyGet company billing history
Requires authenticationimport requests
url = "https://dashboard.crowdpass.co/api/v1/companies/billing-history"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json())/api/v1/companies/current/connect/stripe/accountGet Stripe Connect account details
Requires authenticationResponse· Account
rawJObjectobjectnullablestripeResponseStripeResponseidstringnullableobjectstringnullablebusinessProfileAccountBusinessProfilebusinessTypestringnullablecapabilitiesAccountCapabilitieschargesEnabledbooleanimport requests
url = "https://dashboard.crowdpass.co/api/v1/companies/current/connect/stripe/account"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"rawJObject": null,
"stripeResponse": {},
"id": null,
"object": null,
"businessProfile": {},
"businessType": null,
"capabilities": {},
"chargesEnabled": false,
"company": {},
"controller": {},
"country": null,
"created": "2026-01-01T00:00:00Z",
"defaultCurrency": null,
"deleted": null,
"detailsSubmitted": false,
"email": null,
"externalAccounts": null,
"futureRequirements": {},
"individual": {},
"metadata": null,
"payoutsEnabled": false,
"requirements": {},
"settings": {},
"tosAcceptance": {},
"type": null
}/api/v1/companies/current/connect/stripeInitiate Stripe Connect onboarding
Requires authenticationimport requests
url = "https://dashboard.crowdpass.co/api/v1/companies/current/connect/stripe"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.post(url, headers=headers)
print(response.json())/api/v1/companies/current/disconnect/stripeDisconnect Stripe Connect account
Requires authenticationimport requests
url = "https://dashboard.crowdpass.co/api/v1/companies/current/disconnect/stripe"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.post(url, headers=headers)
print(response.json())/api/v1/companies/current/connect/stripe/refresh-urlRefresh Stripe Connect onboarding URL
Requires authenticationimport requests
url = "https://dashboard.crowdpass.co/api/v1/companies/current/connect/stripe/refresh-url"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.post(url, headers=headers)
print(response.json())/api/v1/companies/current/connect/stripe/completeComplete Stripe Connect onboarding
Requires authenticationimport requests
url = "https://dashboard.crowdpass.co/api/v1/companies/current/connect/stripe/complete"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.post(url, headers=headers)
print(response.json())/api/v1/companies/current/connect/login-linkGenerate Stripe Connect login link
Requires authenticationimport requests
url = "https://dashboard.crowdpass.co/api/v1/companies/current/connect/login-link"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.post(url, headers=headers)
print(response.json())/api/v1/companies/current/connect/stripe/account/statusGet Stripe Connect account status
Requires authenticationimport requests
url = "https://dashboard.crowdpass.co/api/v1/companies/current/connect/stripe/account/status"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json())/api/v1/companies/with-teammatesGet companies with teammate details
Requires authenticationParameters
pageSizeinteger (int32)currentPageinteger (int32)searchstringResponse· CompanyWithTeammatesDtoListQueryResultSlim
statusFeatureResultStatusdataobjectnullablemessagestringnullabletotalItemCountinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/companies/with-teammates"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"status": {},
"data": null,
"message": null,
"totalItemCount": 0
}Teammates
Team member management, invitations, roles, and permissions.
11 endpoints/api/v1/teammates/from-identityCreate teammate from identity provider
Requires authenticationParameters
inviteCodestringResponse· TeammateDto
firstNamestringnullablelastNamestringnullableemailstringnullableroleIdinteger (int32)statusIdinteger (int32)idinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/teammates/from-identity"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.post(url, headers=headers)
print(response.json()){
"firstName": null,
"lastName": null,
"email": null,
"roleId": 0,
"statusId": 0,
"id": 0
}/api/v1/teammates/manualManually create a teammate account
Requires authenticationRequest Body
companyIdinteger (int32)emailstringnullableroleIdinteger (int32)firstNamestringnullablelastNamestringnullableisRemovebooleannullableResponse· TeammateDto
firstNamestringnullablelastNamestringnullableemailstringnullableroleIdinteger (int32)statusIdinteger (int32)idinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/teammates/manual"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"companyId": 0,
"email": null,
"roleId": 0,
"firstName": null,
"lastName": null,
"isRemove": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json()){
"firstName": null,
"lastName": null,
"email": null,
"roleId": 0,
"statusId": 0,
"id": 0
}/api/v1/teammates/{id}Get teammate details
Requires authenticationParameters
idinteger (int32)Response· TeammateEventsDto
firstNamestringnullablelastNamestringnullableemailstringnullableroleIdinteger (int32)statusIdinteger (int32)idinteger (int32)eventsEventDto[]nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/teammates/{id}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"firstName": null,
"lastName": null,
"email": null,
"roleId": 0,
"statusId": 0,
"id": 0,
"events": null
}/api/v1/teammates/{id}Update teammate profile and role
Requires authenticationParameters
idinteger (int32)Request Body
firstNamestringnullablelastNamestringnullableemailstringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/teammates/{id}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"firstName": null,
"lastName": null,
"email": null
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())/api/v1/teammates/{id}Remove teammate from company
Requires authenticationParameters
idinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/teammates/{id}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.delete(url, headers=headers)
print(response.json())/api/v1/teammatesList all teammates
Requires authenticationParameters
searchstringroleIdinteger (int32)pageSizeinteger (int32)currentPageinteger (int32)sortFieldsstringsortDirectionsstringTeammateDto[]import requests
url = "https://dashboard.crowdpass.co/api/v1/teammates"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json())/api/v1/teammatesInvite a new teammate
Requires authenticationRequest Body
firstNamestringnullablelastNamestringnullableemailstringnullableroleIdinteger (int32)tenantIdinteger (int32)nullableResponse· TeammateDto
firstNamestringnullablelastNamestringnullableemailstringnullableroleIdinteger (int32)statusIdinteger (int32)idinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/teammates"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"firstName": null,
"lastName": null,
"email": null,
"roleId": 0,
"tenantId": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json()){
"firstName": null,
"lastName": null,
"email": null,
"roleId": 0,
"statusId": 0,
"id": 0
}/api/v1/teammates/searchSearch teammates by name or email
Requires authenticationRequest Body
pagingDataPagingDatasortingDataSortingDatafilteringDataFilteringDataTeammateDto[]import requests
url = "https://dashboard.crowdpass.co/api/v1/teammates/search"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"pagingData": {},
"sortingData": {},
"filteringData": {}
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())/api/v1/teammates/{id}/send-inviteResend teammate invitation email
Requires authenticationParameters
idinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/teammates/{id}/send-invite"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.post(url, headers=headers)
print(response.json())/api/v1/teammates/{id}/eventsUpdate teammate event assignments
Requires authenticationParameters
idinteger (int32)Request Body
addedEventsinteger[]nullableremovedEventsinteger[]nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/teammates/{id}/events"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"addedEvents": null,
"removedEvents": null
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())/api/v1/teammates/{id}/{property}/{newValue}Patch a specific teammate property
Requires authenticationParameters
idinteger (int32)propertystringnewValuestringimport requests
url = "https://dashboard.crowdpass.co/api/v1/teammates/{id}/{property}/{newValue}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.patch(url, headers=headers)
print(response.json())Events
Event lifecycle management — creation, search, dashboard analytics, and duplication.
20 endpoints/api/public/events/{publicId}Get public event details
Parameters
publicIdstringResponse· PublicEventDto
titlestringnullablestartDatestring (date-time)endDatestring (date-time)nullabletimezoneOffsetinteger (int32)addressNamestringnullableaddressDomainAddresscontactEmailstringnullablecontactPhoneNumberstringnullableimport requests
url = "https://dashboard.crowdpass.co/api/public/events/{publicId}"
response = requests.get(url)
print(response.json()){
"title": null,
"startDate": "2026-01-01T00:00:00Z",
"endDate": null,
"timezoneOffset": 0,
"addressName": null,
"address": {},
"contactEmail": null,
"contactPhoneNumber": null,
"hideDate": null,
"registrationLink": null,
"requireProfileImageOnRegistration": false,
"hideFromSearchEngine": false,
"isRegistrationEnabled": false,
"maxGuestLimitPerAttendee": 0,
"qrCodeCheckInField": null,
"publicId": null,
"statusId": 0,
"about": null,
"slug": null,
"easyRegistration": false,
"ogImageReferenceKey": null,
"ogTitle": null,
"ogDescription": null,
"logoBlobReferenceKey": null,
"pageBackgroundReferenceKey": null,
"featureImageReferenceKey": null,
"eventCardImageReferenceKey": null,
"eventGalleryImages": null,
"isAtCapacity": false,
"longitude": null,
"latitude": null,
"companyName": null,
"eventHeaderTextColor": null,
"facebookURL": null,
"instagramURL": null,
"linkdinURL": null,
"twitterURL": null,
"tiktokURL": null,
"videoURL": null,
"publicRegistrationCode": null,
"pageBackgroundColor": null,
"customRegistrationQuestions": null,
"ticketing": {},
"smartCredentials": {},
"eventTabs": null,
"speakers": null,
"isRegistrationPendingEnabled": false
}/api/public/events/{publicId}/no-ticketsGet public event details without ticket info
Parameters
publicIdstringResponse· PublicEventDto
titlestringnullablestartDatestring (date-time)endDatestring (date-time)nullabletimezoneOffsetinteger (int32)addressNamestringnullableaddressDomainAddresscontactEmailstringnullablecontactPhoneNumberstringnullableimport requests
url = "https://dashboard.crowdpass.co/api/public/events/{publicId}/no-tickets"
response = requests.get(url)
print(response.json()){
"title": null,
"startDate": "2026-01-01T00:00:00Z",
"endDate": null,
"timezoneOffset": 0,
"addressName": null,
"address": {},
"contactEmail": null,
"contactPhoneNumber": null,
"hideDate": null,
"registrationLink": null,
"requireProfileImageOnRegistration": false,
"hideFromSearchEngine": false,
"isRegistrationEnabled": false,
"maxGuestLimitPerAttendee": 0,
"qrCodeCheckInField": null,
"publicId": null,
"statusId": 0,
"about": null,
"slug": null,
"easyRegistration": false,
"ogImageReferenceKey": null,
"ogTitle": null,
"ogDescription": null,
"logoBlobReferenceKey": null,
"pageBackgroundReferenceKey": null,
"featureImageReferenceKey": null,
"eventCardImageReferenceKey": null,
"eventGalleryImages": null,
"isAtCapacity": false,
"longitude": null,
"latitude": null,
"companyName": null,
"eventHeaderTextColor": null,
"facebookURL": null,
"instagramURL": null,
"linkdinURL": null,
"twitterURL": null,
"tiktokURL": null,
"videoURL": null,
"publicRegistrationCode": null,
"pageBackgroundColor": null,
"customRegistrationQuestions": null,
"ticketing": {},
"smartCredentials": {},
"eventTabs": null,
"speakers": null,
"isRegistrationPendingEnabled": false
}/api/public/events/slug/{slug}Get public event by URL slug
Parameters
slugstringResponse· PublicEventDto
titlestringnullablestartDatestring (date-time)endDatestring (date-time)nullabletimezoneOffsetinteger (int32)addressNamestringnullableaddressDomainAddresscontactEmailstringnullablecontactPhoneNumberstringnullableimport requests
url = "https://dashboard.crowdpass.co/api/public/events/slug/{slug}"
response = requests.get(url)
print(response.json()){
"title": null,
"startDate": "2026-01-01T00:00:00Z",
"endDate": null,
"timezoneOffset": 0,
"addressName": null,
"address": {},
"contactEmail": null,
"contactPhoneNumber": null,
"hideDate": null,
"registrationLink": null,
"requireProfileImageOnRegistration": false,
"hideFromSearchEngine": false,
"isRegistrationEnabled": false,
"maxGuestLimitPerAttendee": 0,
"qrCodeCheckInField": null,
"publicId": null,
"statusId": 0,
"about": null,
"slug": null,
"easyRegistration": false,
"ogImageReferenceKey": null,
"ogTitle": null,
"ogDescription": null,
"logoBlobReferenceKey": null,
"pageBackgroundReferenceKey": null,
"featureImageReferenceKey": null,
"eventCardImageReferenceKey": null,
"eventGalleryImages": null,
"isAtCapacity": false,
"longitude": null,
"latitude": null,
"companyName": null,
"eventHeaderTextColor": null,
"facebookURL": null,
"instagramURL": null,
"linkdinURL": null,
"twitterURL": null,
"tiktokURL": null,
"videoURL": null,
"publicRegistrationCode": null,
"pageBackgroundColor": null,
"customRegistrationQuestions": null,
"ticketing": {},
"smartCredentials": {},
"eventTabs": null,
"speakers": null,
"isRegistrationPendingEnabled": false
}/api/public/events/{publicId}/qr-codeGet event QR code for public access
Parameters
publicIdstringattendeeGroupAccessCodestringimport requests
url = "https://dashboard.crowdpass.co/api/public/events/{publicId}/qr-code"
response = requests.get(url)
print(response.json())/api/v1/events/dashboardGet events dashboard overview
Requires authenticationParameters
searchstringyearinteger (int32)statusIdinteger (int32)pageSizeinteger (int32)currentPageinteger (int32)sortFieldsstringsortDirectionsstringResponse· EnterpriseEventsDashboardQueryResult
statusFeatureResultStatusdataobjectnullablemessagestringnullabletotalItemCountinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/dashboard"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"status": {},
"data": null,
"message": null,
"totalItemCount": 0
}/api/v1/events/dashboard/num-activeGet count of active events
Requires authenticationResponse· CompanyDashboardDto
activeEventsinteger (int32)totalAttendeesinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/dashboard/num-active"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"activeEvents": 0,
"totalAttendees": 0
}/api/v1/events/mobile-dashboardGet mobile-optimized events dashboard
Requires authenticationParameters
pageSizeinteger (int32)currentPageinteger (int32)sortFieldsstringsortDirectionsstringResponse· EnterpriseEventsMobileDashboardQueryResult
statusFeatureResultStatusdataobjectnullablemessagestringnullableupcomingEventsCountinteger (int32)pastEventsCountinteger (int32)numberOfAttendeesinteger (int32)totalItemCountinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/mobile-dashboard"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"status": {},
"data": null,
"message": null,
"upcomingEventsCount": 0,
"pastEventsCount": 0,
"numberOfAttendees": 0,
"totalItemCount": 0
}/api/v1/events/upcomingList upcoming events
Requires authenticationParameters
pageSizeinteger (int32)currentPageinteger (int32)sortFieldsstringsortDirectionsstringResponse· EventsByTimeResult
statusFeatureResultStatusdataobjectnullablemessagestringnullabletotalItemCountinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/upcoming"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"status": {},
"data": null,
"message": null,
"totalItemCount": 0
}/api/v1/events/pastList past events
Requires authenticationParameters
pageSizeinteger (int32)currentPageinteger (int32)sortFieldsstringsortDirectionsstringResponse· EventsByTimeResult
statusFeatureResultStatusdataobjectnullablemessagestringnullabletotalItemCountinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/past"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"status": {},
"data": null,
"message": null,
"totalItemCount": 0
}/api/v1/events/search-upcomingSearch upcoming events
Requires authenticationParameters
searchTextstringMobileDashboardItemModel[]import requests
url = "https://dashboard.crowdpass.co/api/v1/events/search-upcoming"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json())/api/v1/events/search-pastSearch past events
Requires authenticationParameters
searchTextstringMobileDashboardItemModel[]import requests
url = "https://dashboard.crowdpass.co/api/v1/events/search-past"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json())/api/v1/events/{id}/dashboardGet single event dashboard analytics
Requires authenticationParameters
idinteger (int32)submissionStartDatestringResponse· EventDashboardModel
titlestringnullableaboutstringnullablestartDatestring (date-time)endDatestring (date-time)nullableattendeeGroupsAttendeeGroupDto[]nullablecustomRegistrationQuestionsCustomRegistrationQuestionDto[]nullablenumberOfAttendeesinteger (int32)attendeesRegisteredinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{id}/dashboard"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"title": null,
"about": null,
"startDate": "2026-01-01T00:00:00Z",
"endDate": null,
"attendeeGroups": null,
"customRegistrationQuestions": null,
"numberOfAttendees": 0,
"attendeesRegistered": 0,
"attendeesCheckedIn": 0,
"ticketing": {},
"qrCodeCheckInField": null
}/api/v1/events/{id}Get event details by ID
Requires authenticationParameters
idinteger (int32)Response· EventDto
titlestringnullablestartDatestring (date-time)endDatestring (date-time)nullabletimezoneOffsetinteger (int32)addressNamestringnullableaddressDomainAddresscontactEmailstringnullablecontactPhoneNumberstringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{id}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"title": null,
"startDate": "2026-01-01T00:00:00Z",
"endDate": null,
"timezoneOffset": 0,
"addressName": null,
"address": {},
"contactEmail": null,
"contactPhoneNumber": null,
"hideDate": null,
"registrationLink": null,
"requireProfileImageOnRegistration": false,
"hideFromSearchEngine": false,
"isRegistrationEnabled": false,
"maxGuestLimitPerAttendee": 0,
"qrCodeCheckInField": null,
"currentSetupStep": 0,
"statusId": 0,
"customRegistrationQuestions": null,
"eventGalleryImages": null,
"eventNotificationSettings": {},
"about": null,
"slug": null,
"longitude": null,
"latitude": null,
"logoBlobId": null,
"emailCoverBlobId": null,
"pageBackgroundBlobId": null,
"featureImageBlobId": null,
"eventCardImageBlobId": null,
"pageBackgroundColor": null,
"ogImageBlobId": null,
"ogTitle": null,
"ogDescription": null,
"requireAccessForLeadRetrieval": false,
"contactCardsEnabled": false,
"useLogoAndBackgroundInAllEvents": false,
"invitationText": null,
"invitationFooter": null,
"smsContent": null,
"registrationCapacity": null,
"eventHeaderTextColor": null,
"attendeeGroups": null,
"id": 0,
"publicId": null,
"publicRegistrationCode": null,
"easyRegistration": false,
"isProcessed": false,
"logoBlobReferenceKey": null,
"pageBackgroundReferenceKey": null,
"featureImageReferenceKey": null,
"eventCardImageReferenceKey": null,
"companyName": null,
"submissionReceived": false,
"facebookURL": null,
"instagramURL": null,
"linkdinURL": null,
"twitterURL": null,
"tiktokURL": null,
"videoURL": null,
"uniqueKey": null,
"isRegistrationPendingEnabled": null,
"ticketing": {},
"smartCredentials": {},
"eventTabs": null,
"speakers": null
}/api/v1/events/{id}Update event configuration
Requires authenticationParameters
idinteger (int32)Request Body
titlestringnullablestartDatestring (date-time)endDatestring (date-time)nullabletimezoneOffsetinteger (int32)addressNamestringnullableaddressDomainAddresscontactEmailstringnullablecontactPhoneNumberstringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{id}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"title": null,
"startDate": "2026-01-01T00:00:00Z",
"endDate": null,
"timezoneOffset": 0,
"addressName": null,
"address": {},
"contactEmail": null,
"contactPhoneNumber": null,
"hideDate": null,
"registrationLink": null,
"requireProfileImageOnRegistration": false,
"hideFromSearchEngine": false,
"isRegistrationEnabled": false,
"maxGuestLimitPerAttendee": 0,
"qrCodeCheckInField": null,
"currentSetupStep": 0,
"statusId": 0,
"customRegistrationQuestions": null,
"eventGalleryImages": null,
"eventNotificationSettings": {},
"about": null,
"slug": null,
"longitude": null,
"latitude": null,
"logoBlobId": null,
"emailCoverBlobId": null,
"pageBackgroundBlobId": null,
"featureImageBlobId": null,
"eventCardImageBlobId": null,
"pageBackgroundColor": null,
"ogImageBlobId": null,
"ogTitle": null,
"ogDescription": null,
"requireAccessForLeadRetrieval": false,
"contactCardsEnabled": false,
"useLogoAndBackgroundInAllEvents": false,
"invitationText": null,
"invitationFooter": null,
"smsContent": null,
"registrationCapacity": null,
"eventHeaderTextColor": null,
"attendeeGroups": null,
"ticketing": {},
"smartCredentials": {},
"facebookURL": null,
"instagramURL": null,
"linkdinURL": null,
"twitterURL": null,
"tiktokURL": null,
"videoURL": null,
"isRegistrationPendingEnabled": null,
"emailTemplateConnections": null
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())/api/v1/events/{id}Delete an event
Requires authenticationParameters
idinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{id}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.delete(url, headers=headers)
print(response.json())/api/v1/eventsList all events
Requires authenticationParameters
pageSizeinteger (int32)currentPageinteger (int32)sortFieldsstringsortDirectionsstringEventDto[]import requests
url = "https://dashboard.crowdpass.co/api/v1/events"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json())/api/v1/eventsCreate a new event
Requires authenticationRequest Body
titlestringnullablestartDatestring (date-time)endDatestring (date-time)nullabletimezoneOffsetinteger (int32)addressNamestringnullableaddressDomainAddresscontactEmailstringnullablecontactPhoneNumberstringnullableResponse· EventDto
titlestringnullablestartDatestring (date-time)endDatestring (date-time)nullabletimezoneOffsetinteger (int32)addressNamestringnullableaddressDomainAddresscontactEmailstringnullablecontactPhoneNumberstringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"title": null,
"startDate": "2026-01-01T00:00:00Z",
"endDate": null,
"timezoneOffset": 0,
"addressName": null,
"address": {},
"contactEmail": null,
"contactPhoneNumber": null,
"hideDate": null,
"registrationLink": null,
"requireProfileImageOnRegistration": false,
"hideFromSearchEngine": false,
"isRegistrationEnabled": false,
"maxGuestLimitPerAttendee": 0,
"qrCodeCheckInField": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json()){
"title": null,
"startDate": "2026-01-01T00:00:00Z",
"endDate": null,
"timezoneOffset": 0,
"addressName": null,
"address": {},
"contactEmail": null,
"contactPhoneNumber": null,
"hideDate": null,
"registrationLink": null,
"requireProfileImageOnRegistration": false,
"hideFromSearchEngine": false,
"isRegistrationEnabled": false,
"maxGuestLimitPerAttendee": 0,
"qrCodeCheckInField": null,
"currentSetupStep": 0,
"statusId": 0,
"customRegistrationQuestions": null,
"eventGalleryImages": null,
"eventNotificationSettings": {},
"about": null,
"slug": null,
"longitude": null,
"latitude": null,
"logoBlobId": null,
"emailCoverBlobId": null,
"pageBackgroundBlobId": null,
"featureImageBlobId": null,
"eventCardImageBlobId": null,
"pageBackgroundColor": null,
"ogImageBlobId": null,
"ogTitle": null,
"ogDescription": null,
"requireAccessForLeadRetrieval": false,
"contactCardsEnabled": false,
"useLogoAndBackgroundInAllEvents": false,
"invitationText": null,
"invitationFooter": null,
"smsContent": null,
"registrationCapacity": null,
"eventHeaderTextColor": null,
"attendeeGroups": null,
"id": 0,
"publicId": null,
"publicRegistrationCode": null,
"easyRegistration": false,
"isProcessed": false,
"logoBlobReferenceKey": null,
"pageBackgroundReferenceKey": null,
"featureImageReferenceKey": null,
"eventCardImageReferenceKey": null,
"companyName": null,
"submissionReceived": false,
"facebookURL": null,
"instagramURL": null,
"linkdinURL": null,
"twitterURL": null,
"tiktokURL": null,
"videoURL": null,
"uniqueKey": null,
"isRegistrationPendingEnabled": null,
"ticketing": {},
"smartCredentials": {},
"eventTabs": null,
"speakers": null
}/api/v1/events/searchSearch events by criteria
Requires authenticationRequest Body
pagingDataPagingDatasortingDataSortingDatafilteringDataFilteringDataEventDto[]import requests
url = "https://dashboard.crowdpass.co/api/v1/events/search"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"pagingData": {},
"sortingData": {},
"filteringData": {}
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())/api/v1/events/{id}/duplicateDuplicate an existing event
Requires authenticationParameters
idinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{id}/duplicate"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.post(url, headers=headers)
print(response.json())/api/v1/events/{id}/{property}/{newValue}Patch a specific event property
Requires authenticationParameters
idinteger (int32)propertystringnewValuestringimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{id}/{property}/{newValue}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.patch(url, headers=headers)
print(response.json())Event Tabs
Custom tab management for event detail pages.
4 endpoints/api/v1/events/{eventId}/eventTabs/{id}Get event tab details
Requires authenticationParameters
eventIdinteger (int32)idinteger (int32)Response· EventTabDto
aboutstringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/eventTabs/{id}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"about": null
}/api/v1/events/{eventId}/eventTabs/{id}Update event tab
Requires authenticationParameters
eventIdinteger (int32)idinteger (int32)Request Body
aboutstringnullableResponse· EventTabDto
aboutstringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/eventTabs/{id}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"about": null
}
response = requests.put(url, json=payload, headers=headers)
print(response.json()){
"about": null
}/api/v1/events/{eventId}/eventTabs/{id}Delete an event tab
Requires authenticationParameters
eventIdinteger (int32)idinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/eventTabs/{id}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.delete(url, headers=headers)
print(response.json())/api/v1/events/{eventId}/eventTabsCreate a new event tab
Requires authenticationParameters
eventIdinteger (int32)Request Body
aboutstringnullableResponse· EventTabDto
aboutstringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/eventTabs"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"about": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json()){
"about": null
}Attendees
Attendee registration, check-in/out, import/export, search, and device management.
60 endpoints/api/public/attendees/{publicId}Get public attendee profile
Parameters
publicIdstringResponse· AttendeeDto
statusIdinteger (int32)eventIdinteger (int32)sourcestringnullablefirstNamestringnullablelastNamestringnullablephoneNumberstringnullableemailstringnullablecompanystringnullableimport requests
url = "https://dashboard.crowdpass.co/api/public/attendees/{publicId}"
response = requests.get(url)
print(response.json()){
"statusId": 0,
"eventId": 0,
"source": null,
"firstName": null,
"lastName": null,
"phoneNumber": null,
"email": null,
"company": null,
"profilePhotoBlobId": null,
"profilePhotoBlobReferenceKey": null,
"identificationCardPhotoBlobId": null,
"address": {},
"dateOfBirth": null,
"attendeeGroupId": null,
"instagram": null,
"twitter": null,
"customUrl": null,
"displayName": null,
"contactCardPhotoUrl": null,
"contactCardFirstName": null,
"contactCardLastName": null,
"publicEmail": null,
"isLeadRetrievalEnabled": false,
"id": 0,
"publicId": null,
"createdDate": "2026-01-01T00:00:00Z",
"registrationDate": "2026-01-01T00:00:00Z",
"checkInDate": "2026-01-01T00:00:00Z",
"isRegistered": false,
"isCheckedIn": false,
"statusNote": null,
"xmin": 0,
"tickets": null,
"checkInCount": null,
"visits": null,
"devices": null,
"customRegistrationAnswers": null,
"guestOfAttendeeId": null,
"guestOfAttendee": {},
"ownedGuests": null
}/api/public/attendees/{publicId}/passGet attendee digital pass
Parameters
publicIdstringResponse· AttendeePassInformation
attendeeNamestringnullableeventNamestringnullableeventDatestring (date-time)eventLocationstringnullableattendeePublicIdstringnullabletimezoneinteger (int32)latitudenumber (double)nullablelongitudenumber (double)nullableimport requests
url = "https://dashboard.crowdpass.co/api/public/attendees/{publicId}/pass"
response = requests.get(url)
print(response.json()){
"attendeeName": null,
"eventName": null,
"eventDate": "2026-01-01T00:00:00Z",
"eventLocation": null,
"attendeePublicId": null,
"timezone": 0,
"latitude": null,
"longitude": null,
"coverImage": null
}/api/public/attendees/qr-code/{accessCode}Get attendee QR code by access code
Parameters
accessCodestringimport requests
url = "https://dashboard.crowdpass.co/api/public/attendees/qr-code/{accessCode}"
response = requests.get(url)
print(response.json())/api/v1/attendees/{publicId}/qr-codeGenerate attendee QR code
Requires authenticationParameters
publicIdstringimport requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/{publicId}/qr-code"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json())/api/v1/attendees/from-identityCreate attendee from identity provider
Requires authenticationParameters
inviteCodestringeventRegistrationCodestringattendeeGroupAccessCodestringnoCodebooleanResponse· AttendeeDto
statusIdinteger (int32)eventIdinteger (int32)sourcestringnullablefirstNamestringnullablelastNamestringnullablephoneNumberstringnullableemailstringnullablecompanystringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/from-identity"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.post(url, headers=headers)
print(response.json()){
"statusId": 0,
"eventId": 0,
"source": null,
"firstName": null,
"lastName": null,
"phoneNumber": null,
"email": null,
"company": null,
"profilePhotoBlobId": null,
"profilePhotoBlobReferenceKey": null,
"identificationCardPhotoBlobId": null,
"address": {},
"dateOfBirth": null,
"attendeeGroupId": null,
"instagram": null,
"twitter": null,
"customUrl": null,
"displayName": null,
"contactCardPhotoUrl": null,
"contactCardFirstName": null,
"contactCardLastName": null,
"publicEmail": null,
"isLeadRetrievalEnabled": false,
"id": 0,
"publicId": null,
"createdDate": "2026-01-01T00:00:00Z",
"registrationDate": "2026-01-01T00:00:00Z",
"checkInDate": "2026-01-01T00:00:00Z",
"isRegistered": false,
"isCheckedIn": false,
"statusNote": null,
"xmin": 0,
"tickets": null,
"checkInCount": null,
"visits": null,
"devices": null,
"customRegistrationAnswers": null,
"guestOfAttendeeId": null,
"guestOfAttendee": {},
"ownedGuests": null
}/api/v1/attendees/current/event/{publicEventId}Get current attendee info for event
Requires authenticationParameters
publicEventIdstringResponse· EventAttendeeDto
statusIdinteger (int32)eventIdinteger (int32)sourcestringnullablefirstNamestringnullablelastNamestringnullablephoneNumberstringnullableemailstringnullablecompanystringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/current/event/{publicEventId}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"statusId": 0,
"eventId": 0,
"source": null,
"firstName": null,
"lastName": null,
"phoneNumber": null,
"email": null,
"company": null,
"profilePhotoBlobId": null,
"profilePhotoBlobReferenceKey": null,
"identificationCardPhotoBlobId": null,
"address": {},
"dateOfBirth": null,
"attendeeGroupId": null,
"instagram": null,
"twitter": null,
"customUrl": null,
"displayName": null,
"contactCardPhotoUrl": null,
"contactCardFirstName": null,
"contactCardLastName": null,
"publicEmail": null,
"isLeadRetrievalEnabled": false,
"id": 0,
"publicId": null,
"createdDate": "2026-01-01T00:00:00Z",
"registrationDate": "2026-01-01T00:00:00Z",
"checkInDate": "2026-01-01T00:00:00Z",
"isRegistered": false,
"isCheckedIn": false,
"statusNote": null,
"xmin": 0,
"tickets": null,
"checkInCount": null,
"visits": null,
"devices": null,
"customRegistrationAnswers": null,
"guestOfAttendeeId": null,
"guestOfAttendee": {},
"ownedGuests": null,
"ticketOrders": null,
"event": {}
}/api/v1/attendees/current/eventsList events for current attendee
Requires authenticationPublicEventAttendeeDto[]import requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/current/events"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json())/api/v1/attendees/current/ticketsList tickets for current attendee
Requires authenticationTicketDto[]import requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/current/tickets"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json())/api/v1/attendees/{publicId}Get attendee by public ID
Requires authenticationParameters
publicIdstringResponse· AttendeeDto
statusIdinteger (int32)eventIdinteger (int32)sourcestringnullablefirstNamestringnullablelastNamestringnullablephoneNumberstringnullableemailstringnullablecompanystringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/{publicId}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"statusId": 0,
"eventId": 0,
"source": null,
"firstName": null,
"lastName": null,
"phoneNumber": null,
"email": null,
"company": null,
"profilePhotoBlobId": null,
"profilePhotoBlobReferenceKey": null,
"identificationCardPhotoBlobId": null,
"address": {},
"dateOfBirth": null,
"attendeeGroupId": null,
"instagram": null,
"twitter": null,
"customUrl": null,
"displayName": null,
"contactCardPhotoUrl": null,
"contactCardFirstName": null,
"contactCardLastName": null,
"publicEmail": null,
"isLeadRetrievalEnabled": false,
"id": 0,
"publicId": null,
"createdDate": "2026-01-01T00:00:00Z",
"registrationDate": "2026-01-01T00:00:00Z",
"checkInDate": "2026-01-01T00:00:00Z",
"isRegistered": false,
"isCheckedIn": false,
"statusNote": null,
"xmin": 0,
"tickets": null,
"checkInCount": null,
"visits": null,
"devices": null,
"customRegistrationAnswers": null,
"guestOfAttendeeId": null,
"guestOfAttendee": {},
"ownedGuests": null
}/api/v1/attendees/{id}Get attendee details by ID
Requires authenticationParameters
idinteger (int32)Response· AttendeeDto
statusIdinteger (int32)eventIdinteger (int32)sourcestringnullablefirstNamestringnullablelastNamestringnullablephoneNumberstringnullableemailstringnullablecompanystringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/{id}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"statusId": 0,
"eventId": 0,
"source": null,
"firstName": null,
"lastName": null,
"phoneNumber": null,
"email": null,
"company": null,
"profilePhotoBlobId": null,
"profilePhotoBlobReferenceKey": null,
"identificationCardPhotoBlobId": null,
"address": {},
"dateOfBirth": null,
"attendeeGroupId": null,
"instagram": null,
"twitter": null,
"customUrl": null,
"displayName": null,
"contactCardPhotoUrl": null,
"contactCardFirstName": null,
"contactCardLastName": null,
"publicEmail": null,
"isLeadRetrievalEnabled": false,
"id": 0,
"publicId": null,
"createdDate": "2026-01-01T00:00:00Z",
"registrationDate": "2026-01-01T00:00:00Z",
"checkInDate": "2026-01-01T00:00:00Z",
"isRegistered": false,
"isCheckedIn": false,
"statusNote": null,
"xmin": 0,
"tickets": null,
"checkInCount": null,
"visits": null,
"devices": null,
"customRegistrationAnswers": null,
"guestOfAttendeeId": null,
"guestOfAttendee": {},
"ownedGuests": null
}/api/v1/attendees/{id}Update attendee information
Requires authenticationParameters
idinteger (int32)Request Body
statusIdinteger (int32)eventIdinteger (int32)sourcestringnullablefirstNamestringnullablelastNamestringnullablephoneNumberstringnullableemailstringnullablecompanystringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/{id}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"statusId": 0,
"eventId": 0,
"source": null,
"firstName": null,
"lastName": null,
"phoneNumber": null,
"email": null,
"company": null,
"profilePhotoBlobId": null,
"profilePhotoBlobReferenceKey": null,
"identificationCardPhotoBlobId": null,
"address": {},
"dateOfBirth": null,
"attendeeGroupId": null,
"instagram": null,
"twitter": null,
"customUrl": null,
"displayName": null,
"contactCardPhotoUrl": null,
"contactCardFirstName": null,
"contactCardLastName": null,
"publicEmail": null,
"isLeadRetrievalEnabled": false,
"customRegistrationAnswers": null,
"finishRegistration": false,
"attendeeGroupPublicAccessCode": null
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())/api/v1/attendees/{id}Delete an attendee
Requires authenticationParameters
idinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/{id}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.delete(url, headers=headers)
print(response.json())/api/v1/attendees/{id}/{property}/{newValue}Patch a specific attendee property
Requires authenticationParameters
idinteger (int32)propertystringnewValuestringnotestringxminstringimport requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/{id}/{property}/{newValue}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.patch(url, headers=headers)
print(response.json())/api/v1/attendees/current/tickets/checkoutStart ticket checkout process
Requires authenticationRequest Body
eventPublicIdstringnullablelineItemsTicketingLineItemsDto[]nullableResponse· CreateTicketingCheckoutSessionResult
redirectUrlstringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/current/tickets/checkout"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"eventPublicId": null,
"lineItems": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json()){
"redirectUrl": null
}/api/v1/attendees/current/tickets/checkout/completeComplete ticket checkout
Requires authenticationRequest Body
checkoutSessionIdstringnullableticketOrderPublicIdstringnullableCompleteAttendeeTicketPaymentCheckoutResultimport requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/current/tickets/checkout/complete"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"checkoutSessionId": null,
"ticketOrderPublicId": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())/api/v1/attendees/current/ticketOrdersList ticket orders for current attendee
Requires authenticationPublicTicketOrderAttendeeDto[]import requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/current/ticketOrders"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json())/api/v1/attendees/current/ticketOrders/{ticketOrderPublicId}Get ticket order details
Requires authenticationParameters
ticketOrderPublicIdstringResponse· TicketOrderDto
publicIdstringnullableattendeeIdinteger (int32)isPaidbooleansubtotalAmountnumber (double)nullabletotalAmountnumber (double)nullablecurrencystringnullablecardBrandstringnullablecardLast4stringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/current/ticketOrders/{ticketOrderPublicId}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"publicId": null,
"attendeeId": 0,
"isPaid": false,
"subtotalAmount": null,
"totalAmount": null,
"currency": null,
"cardBrand": null,
"cardLast4": null,
"orderItems": null,
"event": {}
}/api/v1/attendees/current/scanned-contact-cards/{eventId}Get scanned contact cards for event
Requires authenticationParameters
eventIdinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/current/scanned-contact-cards/{eventId}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json())/api/v1/attendees/current/scanned-contact-cards/{eventId}Save a scanned contact card
Requires authenticationParameters
eventIdinteger (int32)Request Body
attendeeIdstringnullablenotestringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/current/scanned-contact-cards/{eventId}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"attendeeId": null,
"note": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())/api/v1/attendees/current/scanned-contact-cards/{eventId}Update scanned contact cards
Requires authenticationParameters
eventIdinteger (int32)Request Body
idinteger (int32)attendeeIdstringnullablenotestringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/current/scanned-contact-cards/{eventId}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"id": 0,
"attendeeId": null,
"note": null
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())/api/v1/attendees/send-ticket-confirmationSend ticket confirmation email
Requires authenticationimport requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/send-ticket-confirmation"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.post(url, headers=headers)
print(response.json())/api/v1/{eventId}/attendees/bulkBulk delete attendees by event ID
Requires authenticationimport requests
url = "https://dashboard.crowdpass.co/api/v1/{eventId}/attendees/bulk"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.delete(url, headers=headers)
print(response.json())/api/v1/attendee-actionsList available attendee actions
Requires authenticationParameters
attendeeIdinteger (int32)AttendeeActionDto[]import requests
url = "https://dashboard.crowdpass.co/api/v1/attendee-actions"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json())/api/v1/attendees/{id}/devicesList devices assigned to attendee
Requires authenticationParameters
idinteger (int32)Response· AttendeeDeviceDto
attendeeIdinteger (int32)nullabledeviceUuidstringnullablemetadataobjectnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/{id}/devices"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"attendeeId": null,
"deviceUuid": null,
"metadata": null
}/api/v1/attendees/{id}/devicesAssign device to attendee
Requires authenticationParameters
idinteger (int32)Request Body
attendeeIdinteger (int32)nullabledeviceUuidstringnullablemetadataobjectnullableResponse· AttendeeDeviceDto
attendeeIdinteger (int32)nullabledeviceUuidstringnullablemetadataobjectnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/{id}/devices"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"attendeeId": null,
"deviceUuid": null,
"metadata": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json()){
"attendeeId": null,
"deviceUuid": null,
"metadata": null
}/api/v1/attendees/{id}/devices/{deviceUuid}Remove device from attendee
Requires authenticationParameters
idinteger (int32)deviceUuidstringimport requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/{id}/devices/{deviceUuid}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.delete(url, headers=headers)
print(response.json())/api/v1/attendees/{eventId}/devices/{deviceUuid}Get attendee by event and device
Requires authenticationParameters
eventIdinteger (int32)deviceUuidstringResponse· AttendeeDto
statusIdinteger (int32)eventIdinteger (int32)sourcestringnullablefirstNamestringnullablelastNamestringnullablephoneNumberstringnullableemailstringnullablecompanystringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/{eventId}/devices/{deviceUuid}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"statusId": 0,
"eventId": 0,
"source": null,
"firstName": null,
"lastName": null,
"phoneNumber": null,
"email": null,
"company": null,
"profilePhotoBlobId": null,
"profilePhotoBlobReferenceKey": null,
"identificationCardPhotoBlobId": null,
"address": {},
"dateOfBirth": null,
"attendeeGroupId": null,
"instagram": null,
"twitter": null,
"customUrl": null,
"displayName": null,
"contactCardPhotoUrl": null,
"contactCardFirstName": null,
"contactCardLastName": null,
"publicEmail": null,
"isLeadRetrievalEnabled": false,
"id": 0,
"publicId": null,
"createdDate": "2026-01-01T00:00:00Z",
"registrationDate": "2026-01-01T00:00:00Z",
"checkInDate": "2026-01-01T00:00:00Z",
"isRegistered": false,
"isCheckedIn": false,
"statusNote": null,
"xmin": 0,
"tickets": null,
"checkInCount": null,
"visits": null,
"devices": null,
"customRegistrationAnswers": null,
"guestOfAttendeeId": null,
"guestOfAttendee": {},
"ownedGuests": null
}/api/v1/events/{eventId}/devicesList devices for event
Requires authenticationParameters
eventIdinteger (int32)Response· AttendeeDeviceDto
attendeeIdinteger (int32)nullabledeviceUuidstringnullablemetadataobjectnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/devices"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"attendeeId": null,
"deviceUuid": null,
"metadata": null
}/api/v1/events/{eventId}/find-email-by-device/{deviceUuid}Find attendee email by device UUID
Requires authenticationParameters
eventIdinteger (int32)deviceUuidstringimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/find-email-by-device/{deviceUuid}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json())/api/v1/events/{publicId}/attendeesRegister attendee via public event link
Requires authenticationParameters
publicIdstringRequest Body
profilePhotoBlobIdinteger (int32)nullableprofilePhotoBlobReferenceKeystringnullableprofilePhotoReferenceKeystringnullableemailstringnullablefirstNamestringnullablelastNamestringnullablephoneNumberstringnullableinviteToRegisterbooleanResponse· AttendeeDto
statusIdinteger (int32)eventIdinteger (int32)sourcestringnullablefirstNamestringnullablelastNamestringnullablephoneNumberstringnullableemailstringnullablecompanystringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{publicId}/attendees"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"profilePhotoBlobId": null,
"profilePhotoBlobReferenceKey": null,
"profilePhotoReferenceKey": null,
"email": null,
"firstName": null,
"lastName": null,
"phoneNumber": null,
"inviteToRegister": false,
"attendeeGroupPublicAccessCode": null,
"attendeeGroupAccessCode": null,
"customRegistrationAnswers": null,
"finishRegistration": false,
"guestOfAttendeeId": null,
"guests": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json()){
"statusId": 0,
"eventId": 0,
"source": null,
"firstName": null,
"lastName": null,
"phoneNumber": null,
"email": null,
"company": null,
"profilePhotoBlobId": null,
"profilePhotoBlobReferenceKey": null,
"identificationCardPhotoBlobId": null,
"address": {},
"dateOfBirth": null,
"attendeeGroupId": null,
"instagram": null,
"twitter": null,
"customUrl": null,
"displayName": null,
"contactCardPhotoUrl": null,
"contactCardFirstName": null,
"contactCardLastName": null,
"publicEmail": null,
"isLeadRetrievalEnabled": false,
"id": 0,
"publicId": null,
"createdDate": "2026-01-01T00:00:00Z",
"registrationDate": "2026-01-01T00:00:00Z",
"checkInDate": "2026-01-01T00:00:00Z",
"isRegistered": false,
"isCheckedIn": false,
"statusNote": null,
"xmin": 0,
"tickets": null,
"checkInCount": null,
"visits": null,
"devices": null,
"customRegistrationAnswers": null,
"guestOfAttendeeId": null,
"guestOfAttendee": {},
"ownedGuests": null
}/api/v1/events/{eventId}/attendees/dashboardGet attendee dashboard analytics
Requires authenticationParameters
eventIdinteger (int32)searchstringstatusIdinteger (int32)attendeeGroupIdinteger (int32)checkInStatusstringdeviceIdstringhasDevicebooleancustomFieldFiltersstringResponse· EventAttendeesDashboardQueryResult
statusFeatureResultStatusdataobjectnullablemessagestringnullabletotalinteger (int32)checkedIninteger (int32)registeredinteger (int32)notRegisteredinteger (int32)contactCardScansinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/dashboard"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"status": {},
"data": null,
"message": null,
"total": 0,
"checkedIn": 0,
"registered": 0,
"notRegistered": 0,
"contactCardScans": 0,
"totalItemCount": 0
}/api/v1/events/{eventId}/attendees/source-statisticsGet attendee source statistics
Requires authenticationParameters
eventIdinteger (int32)Response· AttendeeSourceStatisticsResult
statusFeatureResultStatusdataobjectnullablemessagestringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/source-statistics"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"status": {},
"data": null,
"message": null
}/api/v1/events/{eventId}/attendees/all-idsGet all attendee IDs for event
Requires authenticationParameters
eventIdinteger (int32)searchstringstatusIdinteger (int32)attendeeGroupIdinteger (int32)checkInStatusstringdeviceIdstringhasDevicebooleancustomFieldFiltersstringResponse· GetAllAttendeeIdsQueryResult
statusFeatureResultStatusdataobjectnullablemessagestringnullableattendeeIdsinteger[]nullabletotalCountinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/all-ids"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"status": {},
"data": null,
"message": null,
"attendeeIds": null,
"totalCount": 0
}/api/v1/events/{eventId}/attendeesList all attendees for an event
Requires authenticationParameters
eventIdinteger (int32)pageSizeinteger (int32)currentPageinteger (int32)sortFieldsstringsortDirectionsstringAttendeeDto[]import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json())/api/v1/events/{eventId}/attendeesRegister a new attendee for event
Requires authenticationParameters
eventIdinteger (int32)Request Body
emailstringnullablefirstNamestringnullablelastNamestringnullablephoneNumberstringnullableinviteToRegisterbooleanfinishRegistrationbooleanattendeeGroupIdinteger (int32)nullableinstagramstringnullableResponse· AttendeeDto
statusIdinteger (int32)eventIdinteger (int32)sourcestringnullablefirstNamestringnullablelastNamestringnullablephoneNumberstringnullableemailstringnullablecompanystringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"email": null,
"firstName": null,
"lastName": null,
"phoneNumber": null,
"inviteToRegister": false,
"finishRegistration": false,
"attendeeGroupId": null,
"instagram": null,
"twitter": null,
"customUrl": null,
"displayName": null,
"contactCardPhotoUrl": null,
"contactCardFirstName": null,
"contactCardLastName": null,
"company": null,
"jobTitle": null,
"linkedin": null,
"publicEmail": null,
"customRegistrationAnswers": null,
"deviceUuid": null,
"statusId": 0,
"guestOfAttendeeId": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json()){
"statusId": 0,
"eventId": 0,
"source": null,
"firstName": null,
"lastName": null,
"phoneNumber": null,
"email": null,
"company": null,
"profilePhotoBlobId": null,
"profilePhotoBlobReferenceKey": null,
"identificationCardPhotoBlobId": null,
"address": {},
"dateOfBirth": null,
"attendeeGroupId": null,
"instagram": null,
"twitter": null,
"customUrl": null,
"displayName": null,
"contactCardPhotoUrl": null,
"contactCardFirstName": null,
"contactCardLastName": null,
"publicEmail": null,
"isLeadRetrievalEnabled": false,
"id": 0,
"publicId": null,
"createdDate": "2026-01-01T00:00:00Z",
"registrationDate": "2026-01-01T00:00:00Z",
"checkInDate": "2026-01-01T00:00:00Z",
"isRegistered": false,
"isCheckedIn": false,
"statusNote": null,
"xmin": 0,
"tickets": null,
"checkInCount": null,
"visits": null,
"devices": null,
"customRegistrationAnswers": null,
"guestOfAttendeeId": null,
"guestOfAttendee": {},
"ownedGuests": null
}/api/v1/events/{eventId}/attendeesBulk delete attendees from event
Requires authenticationParameters
eventIdinteger (int32)Request Body
attendeeIdsinteger[]nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"attendeeIds": null
}
response = requests.delete(url, json=payload, headers=headers)
print(response.json())/api/v1/events/{eventId}/attendees/bulk-registerBulk register attendees
Requires authenticationParameters
eventIdinteger (int32)Request Body
attendeeIdsinteger[]nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/bulk-register"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"attendeeIds": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())/api/v1/events/{eventId}/attendees/searchSearch attendees in event
Requires authenticationRequest Body
pagingDataPagingDatasortingDataSortingDatafilteringDataFilteringDataeventIdinteger (int32)AttendeeDto[]import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/search"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"pagingData": {},
"sortingData": {},
"filteringData": {},
"eventId": 0
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())/api/v1/events/{eventId}/attendees/getByEmailFind attendee by email address
Requires authenticationParameters
eventIdinteger (int32)emailstringResponse· AttendeeDto
statusIdinteger (int32)eventIdinteger (int32)sourcestringnullablefirstNamestringnullablelastNamestringnullablephoneNumberstringnullableemailstringnullablecompanystringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/getByEmail"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"statusId": 0,
"eventId": 0,
"source": null,
"firstName": null,
"lastName": null,
"phoneNumber": null,
"email": null,
"company": null,
"profilePhotoBlobId": null,
"profilePhotoBlobReferenceKey": null,
"identificationCardPhotoBlobId": null,
"address": {},
"dateOfBirth": null,
"attendeeGroupId": null,
"instagram": null,
"twitter": null,
"customUrl": null,
"displayName": null,
"contactCardPhotoUrl": null,
"contactCardFirstName": null,
"contactCardLastName": null,
"publicEmail": null,
"isLeadRetrievalEnabled": false,
"id": 0,
"publicId": null,
"createdDate": "2026-01-01T00:00:00Z",
"registrationDate": "2026-01-01T00:00:00Z",
"checkInDate": "2026-01-01T00:00:00Z",
"isRegistered": false,
"isCheckedIn": false,
"statusNote": null,
"xmin": 0,
"tickets": null,
"checkInCount": null,
"visits": null,
"devices": null,
"customRegistrationAnswers": null,
"guestOfAttendeeId": null,
"guestOfAttendee": {},
"ownedGuests": null
}/api/v1/events/{eventId}/attendees/searchByNameSearch attendees by name
Requires authenticationParameters
eventIdinteger (int32)searchstringResponse· AttendeeDto
statusIdinteger (int32)eventIdinteger (int32)sourcestringnullablefirstNamestringnullablelastNamestringnullablephoneNumberstringnullableemailstringnullablecompanystringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/searchByName"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"statusId": 0,
"eventId": 0,
"source": null,
"firstName": null,
"lastName": null,
"phoneNumber": null,
"email": null,
"company": null,
"profilePhotoBlobId": null,
"profilePhotoBlobReferenceKey": null,
"identificationCardPhotoBlobId": null,
"address": {},
"dateOfBirth": null,
"attendeeGroupId": null,
"instagram": null,
"twitter": null,
"customUrl": null,
"displayName": null,
"contactCardPhotoUrl": null,
"contactCardFirstName": null,
"contactCardLastName": null,
"publicEmail": null,
"isLeadRetrievalEnabled": false,
"id": 0,
"publicId": null,
"createdDate": "2026-01-01T00:00:00Z",
"registrationDate": "2026-01-01T00:00:00Z",
"checkInDate": "2026-01-01T00:00:00Z",
"isRegistered": false,
"isCheckedIn": false,
"statusNote": null,
"xmin": 0,
"tickets": null,
"checkInCount": null,
"visits": null,
"devices": null,
"customRegistrationAnswers": null,
"guestOfAttendeeId": null,
"guestOfAttendee": {},
"ownedGuests": null
}/api/v1/events/{eventId}/attendees/searchByEmailSearch attendees by email
Requires authenticationParameters
eventIdinteger (int32)searchstringResponse· AttendeeDto
statusIdinteger (int32)eventIdinteger (int32)sourcestringnullablefirstNamestringnullablelastNamestringnullablephoneNumberstringnullableemailstringnullablecompanystringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/searchByEmail"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"statusId": 0,
"eventId": 0,
"source": null,
"firstName": null,
"lastName": null,
"phoneNumber": null,
"email": null,
"company": null,
"profilePhotoBlobId": null,
"profilePhotoBlobReferenceKey": null,
"identificationCardPhotoBlobId": null,
"address": {},
"dateOfBirth": null,
"attendeeGroupId": null,
"instagram": null,
"twitter": null,
"customUrl": null,
"displayName": null,
"contactCardPhotoUrl": null,
"contactCardFirstName": null,
"contactCardLastName": null,
"publicEmail": null,
"isLeadRetrievalEnabled": false,
"id": 0,
"publicId": null,
"createdDate": "2026-01-01T00:00:00Z",
"registrationDate": "2026-01-01T00:00:00Z",
"checkInDate": "2026-01-01T00:00:00Z",
"isRegistered": false,
"isCheckedIn": false,
"statusNote": null,
"xmin": 0,
"tickets": null,
"checkInCount": null,
"visits": null,
"devices": null,
"customRegistrationAnswers": null,
"guestOfAttendeeId": null,
"guestOfAttendee": {},
"ownedGuests": null
}/api/v1/events/{eventId}/attendees/searchByCustomAnswerSearch attendees by custom field answer
Requires authenticationParameters
eventIdinteger (int32)questionIdinteger (int32)answerstringResponse· AttendeeDto
statusIdinteger (int32)eventIdinteger (int32)sourcestringnullablefirstNamestringnullablelastNamestringnullablephoneNumberstringnullableemailstringnullablecompanystringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/searchByCustomAnswer"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"statusId": 0,
"eventId": 0,
"source": null,
"firstName": null,
"lastName": null,
"phoneNumber": null,
"email": null,
"company": null,
"profilePhotoBlobId": null,
"profilePhotoBlobReferenceKey": null,
"identificationCardPhotoBlobId": null,
"address": {},
"dateOfBirth": null,
"attendeeGroupId": null,
"instagram": null,
"twitter": null,
"customUrl": null,
"displayName": null,
"contactCardPhotoUrl": null,
"contactCardFirstName": null,
"contactCardLastName": null,
"publicEmail": null,
"isLeadRetrievalEnabled": false,
"id": 0,
"publicId": null,
"createdDate": "2026-01-01T00:00:00Z",
"registrationDate": "2026-01-01T00:00:00Z",
"checkInDate": "2026-01-01T00:00:00Z",
"isRegistered": false,
"isCheckedIn": false,
"statusNote": null,
"xmin": 0,
"tickets": null,
"checkInCount": null,
"visits": null,
"devices": null,
"customRegistrationAnswers": null,
"guestOfAttendeeId": null,
"guestOfAttendee": {},
"ownedGuests": null
}/api/v1/events/{eventId}/attendees/existsCheck if attendee exists in event
Requires authenticationParameters
eventIdinteger (int32)Response· AttendeeDeviceDto
attendeeIdinteger (int32)nullabledeviceUuidstringnullablemetadataobjectnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/exists"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"attendeeId": null,
"deviceUuid": null,
"metadata": null
}/api/v1/events/{eventId}/attendees/scanned-contact-cardsList scanned contact cards for event
Requires authenticationParameters
eventIdinteger (int32)searchstringpageSizeinteger (int32)currentPageinteger (int32)sortFieldsstringsortDirectionsstringimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/scanned-contact-cards"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json())/api/v1/events/{eventId}/attendees/inviteSend invitation to attendee
Requires authenticationParameters
eventIdinteger (int32)Request Body
attendeeIdsinteger[]nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/invite"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"attendeeIds": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())/api/v1/events/{eventId}/attendees/qr-code/resendResend QR code to attendees
Requires authenticationParameters
eventIdinteger (int32)Request Body
attendeeIdsinteger[]nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/qr-code/resend"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"attendeeIds": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())/api/v1/events/{eventId}/attendees/sms/sendSend SMS to event attendees
Requires authenticationParameters
eventIdinteger (int32)Request Body
messagestringnullableattendeeIdsinteger[]nullabledeliveryDatestring (date-time)nullablesmsCampaignIdinteger (int32)nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/sms/send"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"message": null,
"attendeeIds": null,
"deliveryDate": null,
"smsCampaignId": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())/api/v1/events/{eventId}/attendees/email/sendSend email to event attendees
Requires authenticationParameters
eventIdinteger (int32)Request Body
subjectstringnullablemessagestringnullableattendeeIdsinteger[]nullabledeliveryDatestring (date-time)nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/email/send"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"subject": null,
"message": null,
"attendeeIds": null,
"deliveryDate": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())/api/v1/events/{eventId}/attendees/parse/blob/{blobId}Parse attendee data from uploaded file
Requires authenticationParameters
eventIdinteger (int32)blobIdinteger (int32)Request Body
proceedWithoutEmailsbooleaninviteToRegisterbooleanimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/parse/blob/{blobId}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"proceedWithoutEmails": false,
"inviteToRegister": false
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())/api/v1/events/{eventId}/attendees/{id}/checkinCheck in a specific attendee
Requires authenticationParameters
eventIdinteger (int32)idinteger (int32)checkInMethodstringdeviceNamestringgateIdinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/{id}/checkin"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.post(url, headers=headers)
print(response.json())/api/v1/events/{eventId}/attendees/checkin/{checkInCode}Check in attendee by code
Requires authenticationParameters
eventIdinteger (int32)checkInCodestringcheckInMethodstringdeviceNamestringgateIdinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/checkin/{checkInCode}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.post(url, headers=headers)
print(response.json())/api/v1/events/{eventId}/attendees/{id}/check-outCheck out an attendee
Requires authenticationParameters
eventIdinteger (int32)idinteger (int32)checkOutMethodstringdeviceNamestringgateIdinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/{id}/check-out"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.post(url, headers=headers)
print(response.json())/api/v1/events/{eventId}/attendees/{id}/uncheckinUndo attendee check-in
Requires authenticationParameters
eventIdinteger (int32)idinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/{id}/uncheckin"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.post(url, headers=headers)
print(response.json())/api/v1/events/{eventId}/attendees/with-ticketRegister attendee with ticket
Requires authenticationParameters
eventIdinteger (int32)Request Body
firstNamestringnullablelastNamestringnullableemailstringnullablephoneNumberstringnullableinviteToRegisterbooleansendTicketEmailbooleanticketTypeIdinteger (int32)nullablecustomRegistrationAnswersUpdateCustomRegistrationAnswerDto[]nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/with-ticket"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"firstName": null,
"lastName": null,
"email": null,
"phoneNumber": null,
"inviteToRegister": false,
"sendTicketEmail": false,
"ticketTypeId": null,
"customRegistrationAnswers": null,
"guestOfAttendeeId": null,
"guests": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())/api/v1/events/{eventId}/attendees/bulkBulk delete selected attendees
Requires authenticationParameters
eventIdinteger (int32)Request Body
attendeeIdsinteger[]nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/bulk"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"attendeeIds": null
}
response = requests.delete(url, json=payload, headers=headers)
print(response.json())/api/v1/events/{eventId}/attendees/export/excelExport attendees to Excel
Requires authenticationParameters
eventIdinteger (int32)searchstringimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/export/excel"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json())/api/v1/events/{eventId}/attendees/import/previewPreview attendee import results
Requires authenticationParameters
eventIdinteger (int32)Request Body
blobIdinteger (int32)sheetNamestringnullableResponse· PreviewImportResult
statusFeatureResultStatusdataobjectnullablemessagestringnullableblobIdinteger (int32)columnsstring[]nullablesampleRowsobject[]nullabletotalRowCountinteger (int32)sheetNamesstring[]nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/import/preview"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"blobId": 0,
"sheetName": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json()){
"status": {},
"data": null,
"message": null,
"blobId": 0,
"columns": null,
"sampleRows": null,
"totalRowCount": 0,
"sheetNames": null,
"errorMessage": null
}/api/v1/events/{eventId}/attendees/import/validateValidate attendee import file
Requires authenticationParameters
eventIdinteger (int32)Request Body
blobIdinteger (int32)sheetNamestringnullablecolumnMappingsColumnMappingDto[]nullableticketTypeIdinteger (int32)nullableattendeeGroupIdinteger (int32)nullableResponse· ValidateImportResult
statusFeatureResultStatusdataobjectnullablemessagestringnullablevalidationSummaryValidationSummaryrowValidationsRowValidation[]nullableerrorMessagestringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/import/validate"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"blobId": 0,
"sheetName": null,
"columnMappings": null,
"ticketTypeId": null,
"attendeeGroupId": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json()){
"status": {},
"data": null,
"message": null,
"validationSummary": {},
"rowValidations": null,
"errorMessage": null
}/api/v1/events/{eventId}/attendees/import/executeExecute attendee import
Requires authenticationParameters
eventIdinteger (int32)Request Body
blobIdinteger (int32)sheetNamestringnullablecolumnMappingsColumnMappingDto[]nullableticketTypeIdinteger (int32)nullableattendeeGroupIdinteger (int32)nullablegroupAssignmentModestringnullablegroupAssignmentRulesGroupAssignmentRuleDto[]nullableinviteToRegisterbooleanResponse· BulkImportJobResponse
jobIdstringnullablestatusstringnullablemessagestringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/attendees/import/execute"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"blobId": 0,
"sheetName": null,
"columnMappings": null,
"ticketTypeId": null,
"attendeeGroupId": null,
"groupAssignmentMode": null,
"groupAssignmentRules": null,
"inviteToRegister": false,
"sendTicketEmail": false,
"skipInvalidRows": false,
"updateExisting": false
}
response = requests.post(url, json=payload, headers=headers)
print(response.json()){
"jobId": null,
"status": null,
"message": null
}/api/v1/attendees/import/status/{jobId}Check attendee import job status
Requires authenticationParameters
jobIdstringResponse· BulkImportJobStatus
jobIdstringnullablestatusstringnullableresultBulkImportResultimport requests
url = "https://dashboard.crowdpass.co/api/v1/attendees/import/status/{jobId}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"jobId": null,
"status": null,
"result": {}
}Attendee Groups
Group and segment attendees within events.
2 endpoints/api/v1/events/{eventId}/groupsCreate an attendee group
Requires authenticationParameters
eventIdinteger (int32)Request Body
namestringnullablecolorstringnullableorderinteger (int32)Response· AttendeeGroupDto
namestringnullablecolorstringnullableorderinteger (int32)idinteger (int32)isDefaultbooleanpublicAccessCodestringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/groups"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"name": null,
"color": null,
"order": 0
}
response = requests.post(url, json=payload, headers=headers)
print(response.json()){
"name": null,
"color": null,
"order": 0,
"id": 0,
"isDefault": false,
"publicAccessCode": null
}/api/v1/events/{eventId}/groups/{groupId}/{property}/{newValue}Update an attendee group property
Requires authenticationParameters
eventIdinteger (int32)groupIdinteger (int32)propertystringnewValuestringxminstringimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/groups/{groupId}/{property}/{newValue}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.patch(url, headers=headers)
print(response.json())Areas
Venue area and zone management with occupancy tracking and access control.
13 endpoints/api/v1/events/{eventId}/areas/dashboardGet areas dashboard overview
Requires authenticationParameters
eventIdinteger (int32)searchstringpageSizeinteger (int32)currentPageinteger (int32)sortFieldsstringsortDirectionsstringResponse· EventAreasDashboardQueryResult
statusFeatureResultStatusdataobjectnullablemessagestringnullabletotalItemCountinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/areas/dashboard"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"status": {},
"data": null,
"message": null,
"totalItemCount": 0
}/api/v1/events/{eventId}/areasList all areas for an event
Requires authenticationParameters
eventIdinteger (int32)Response· EventAreasDashboardQueryResult
statusFeatureResultStatusdataobjectnullablemessagestringnullabletotalItemCountinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/areas"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"status": {},
"data": null,
"message": null,
"totalItemCount": 0
}/api/v1/events/{eventId}/areasCreate a new area
Requires authenticationParameters
eventIdinteger (int32)Request Body
namestringnullablemaxCheckInsPerAttendeeinteger (int32)totalCheckInLimitinteger (int32)nullablebackgroundBlobIdinteger (int32)nullableResponse· EventAreaDto
namestringnullablemaxCheckInsPerAttendeeinteger (int32)totalCheckInLimitinteger (int32)nullablebackgroundBlobIdinteger (int32)nullableidinteger (int32)isDefaultbooleanorderinteger (int32)eventAreaGatesEventAreaGateDto[]nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/areas"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"name": null,
"maxCheckInsPerAttendee": 0,
"totalCheckInLimit": null,
"backgroundBlobId": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json()){
"name": null,
"maxCheckInsPerAttendee": 0,
"totalCheckInLimit": null,
"backgroundBlobId": null,
"id": 0,
"isDefault": false,
"order": 0,
"eventAreaGates": null,
"eventAreaAttendeeGroups": null,
"attendeeGroups": null
}/api/v1/events/{eventId}/areasDelete all areas for an event
Requires authenticationParameters
eventIdinteger (int32)Request Body
areaIdsinteger[]nullableResponse· EventAreaDto
namestringnullablemaxCheckInsPerAttendeeinteger (int32)totalCheckInLimitinteger (int32)nullablebackgroundBlobIdinteger (int32)nullableidinteger (int32)isDefaultbooleanorderinteger (int32)eventAreaGatesEventAreaGateDto[]nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/areas"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"areaIds": null
}
response = requests.delete(url, json=payload, headers=headers)
print(response.json()){
"name": null,
"maxCheckInsPerAttendee": 0,
"totalCheckInLimit": null,
"backgroundBlobId": null,
"id": 0,
"isDefault": false,
"order": 0,
"eventAreaGates": null,
"eventAreaAttendeeGroups": null,
"attendeeGroups": null
}/api/v1/events/{eventId}/areas/{areaId}/occupancyGet real-time area occupancy
Requires authenticationParameters
eventIdinteger (int32)areaIdinteger (int32)Response· EventAreasDashboardQueryResult
statusFeatureResultStatusdataobjectnullablemessagestringnullabletotalItemCountinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/areas/{areaId}/occupancy"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"status": {},
"data": null,
"message": null,
"totalItemCount": 0
}/api/v1/events/{eventId}/areas/{areaId}Get area details
Requires authenticationParameters
eventIdinteger (int32)areaIdinteger (int32)Response· EventAreaDto
namestringnullablemaxCheckInsPerAttendeeinteger (int32)totalCheckInLimitinteger (int32)nullablebackgroundBlobIdinteger (int32)nullableidinteger (int32)isDefaultbooleanorderinteger (int32)eventAreaGatesEventAreaGateDto[]nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/areas/{areaId}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"name": null,
"maxCheckInsPerAttendee": 0,
"totalCheckInLimit": null,
"backgroundBlobId": null,
"id": 0,
"isDefault": false,
"order": 0,
"eventAreaGates": null,
"eventAreaAttendeeGroups": null,
"attendeeGroups": null
}/api/v1/events/{eventId}/areas/{areaId}Update area configuration
Requires authenticationParameters
eventIdinteger (int32)areaIdinteger (int32)Request Body
namestringnullablemaxCheckInsPerAttendeeinteger (int32)totalCheckInLimitinteger (int32)nullablebackgroundBlobIdinteger (int32)nullableeventAreaGatesEventAreaGateDto[]nullableattendeeGroupsAttendeeGroupDto[]nullableeventAreaAttendeeGroupsEventAreaAttendeeGroupDto[]nullableResponse· EventAreaDto
namestringnullablemaxCheckInsPerAttendeeinteger (int32)totalCheckInLimitinteger (int32)nullablebackgroundBlobIdinteger (int32)nullableidinteger (int32)isDefaultbooleanorderinteger (int32)eventAreaGatesEventAreaGateDto[]nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/areas/{areaId}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"name": null,
"maxCheckInsPerAttendee": 0,
"totalCheckInLimit": null,
"backgroundBlobId": null,
"eventAreaGates": null,
"attendeeGroups": null,
"eventAreaAttendeeGroups": null
}
response = requests.put(url, json=payload, headers=headers)
print(response.json()){
"name": null,
"maxCheckInsPerAttendee": 0,
"totalCheckInLimit": null,
"backgroundBlobId": null,
"id": 0,
"isDefault": false,
"order": 0,
"eventAreaGates": null,
"eventAreaAttendeeGroups": null,
"attendeeGroups": null
}/api/v1/events/{eventId}/areas/{areaId}/duplicateDuplicate an area
Requires authenticationParameters
eventIdinteger (int32)areaIdinteger (int32)Response· EventAreaDto
namestringnullablemaxCheckInsPerAttendeeinteger (int32)totalCheckInLimitinteger (int32)nullablebackgroundBlobIdinteger (int32)nullableidinteger (int32)isDefaultbooleanorderinteger (int32)eventAreaGatesEventAreaGateDto[]nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/areas/{areaId}/duplicate"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.post(url, headers=headers)
print(response.json()){
"name": null,
"maxCheckInsPerAttendee": 0,
"totalCheckInLimit": null,
"backgroundBlobId": null,
"id": 0,
"isDefault": false,
"order": 0,
"eventAreaGates": null,
"eventAreaAttendeeGroups": null,
"attendeeGroups": null
}/api/v1/events/{eventId}/areas/{areaId}/{property}/{newValue}Patch a specific area property
Requires authenticationParameters
eventIdinteger (int32)areaIdinteger (int32)propertystringnewValuestringimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/areas/{areaId}/{property}/{newValue}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.patch(url, headers=headers)
print(response.json())/api/v1/events/{eventId}/areas/activity/dashboardGet area activity dashboard
Requires authenticationParameters
eventIdinteger (int32)areaIdinteger (int32)typestringsearchstringpageSizeinteger (int32)currentPageinteger (int32)sortFieldsstringsortDirectionsstringResponse· UnifiedActivityDashboardQueryResult
statusFeatureResultStatusdataobjectnullablemessagestringnullabletotalItemCountinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/areas/activity/dashboard"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"status": {},
"data": null,
"message": null,
"totalItemCount": 0
}/api/v1/events/{eventId}/areas/summaryGet areas summary statistics
Requires authenticationParameters
eventIdinteger (int32)includeGatesbooleanResponse· EventAreasSummaryQueryResult
statusFeatureResultStatusdataobjectnullablemessagestringnullabletotalItemCountinteger (int32)totalGateCountinteger (int32)totalVisitsCountinteger (int32)totalAttendeeCountinteger (int32)totalDeviceCountinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/areas/summary"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"status": {},
"data": null,
"message": null,
"totalItemCount": 0,
"totalGateCount": 0,
"totalVisitsCount": 0,
"totalAttendeeCount": 0,
"totalDeviceCount": 0
}/api/v1/events/{eventId}/areas/reorderReorder areas display order
Requires authenticationParameters
eventIdinteger (int32)Request Body
areaIdsinteger[]nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/areas/reorder"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"areaIds": null
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())/api/v1/events/visitsClear all area visit records
Requires authenticationRequest Body
visitIdsinteger[]nullableResponse· CommandResult
statusFeatureResultStatusdataobjectnullablemessagestringnullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/visits"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"visitIds": null
}
response = requests.delete(url, json=payload, headers=headers)
print(response.json()){
"status": {},
"data": null,
"message": null
}Speakers
Speaker profile management and session assignments.
5 endpoints/api/v1/events/{eventId}/speakersList all speakers for an event
Requires authenticationParameters
eventIdinteger (int32)GetAllSpeakerByEventDto[]import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/speakers"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json())/api/v1/events/{eventId}/speakersAdd a new speaker
Requires authenticationParameters
eventIdinteger (int32)Request Body
firstNamestringnullablelastNamestringnullablejobTitlestringnullabledescriptionstringnullablespeakerLinksCreateSpeakerLinkDto[]nullableResponse· CreateSpeakerDto
firstNamestringnullablelastNamestringnullablejobTitlestringnullabledescriptionstringnullablespeakerLinksCreateSpeakerLinkDto[]nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/speakers"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"firstName": null,
"lastName": null,
"jobTitle": null,
"description": null,
"speakerLinks": null
}
response = requests.post(url, json=payload, headers=headers)
print(response.json()){
"firstName": null,
"lastName": null,
"jobTitle": null,
"description": null,
"speakerLinks": null
}/api/v1/events/{eventId}/speakers/{id}Get speaker details
Requires authenticationParameters
eventIdinteger (int32)idinteger (int32)Response· CreateSpeakerDto
firstNamestringnullablelastNamestringnullablejobTitlestringnullabledescriptionstringnullablespeakerLinksCreateSpeakerLinkDto[]nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/speakers/{id}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json()){
"firstName": null,
"lastName": null,
"jobTitle": null,
"description": null,
"speakerLinks": null
}/api/v1/events/{eventId}/speakers/{id}Update speaker profile
Requires authenticationParameters
eventIdinteger (int32)idinteger (int32)Request Body
firstNamestringnullablelastNamestringnullablejobTitlestringnullabledescriptionstringnullablespeakerLinksUpdateSpeakerLinkDto[]nullableResponse· CreateSpeakerDto
firstNamestringnullablelastNamestringnullablejobTitlestringnullabledescriptionstringnullablespeakerLinksCreateSpeakerLinkDto[]nullableimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/speakers/{id}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"firstName": null,
"lastName": null,
"jobTitle": null,
"description": null,
"speakerLinks": null
}
response = requests.put(url, json=payload, headers=headers)
print(response.json()){
"firstName": null,
"lastName": null,
"jobTitle": null,
"description": null,
"speakerLinks": null
}/api/v1/events/{eventId}/speakers/{id}Remove speaker from event
Requires authenticationParameters
eventIdinteger (int32)idinteger (int32)import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/speakers/{id}"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.delete(url, headers=headers)
print(response.json())Ticket Types
Ticket type configuration, pricing, and sales dashboard.
8 endpoints/api/v1/events/{eventId}/ticketTypesList all ticket types for an event
Requires authenticationParameters
eventIdinteger (int32)searchstringpageSizeinteger (int32)currentPageinteger (int32)sortFieldsstringsortDirectionsstringTicketTypeDto[]import requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/ticketTypes"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(url, headers=headers)
print(response.json())/api/v1/events/{eventId}/ticketTypesCreate a new ticket type
Requires authenticationParameters
eventIdinteger (int32)Request Body
namestringnullablepriceinteger (int64)quantityAvailableinteger (int32)enableLimitQuantityPerAttendeebooleanquantityLimitPerAttendeeinteger (int32)descriptionstringnullableenableShowTicketDescriptionOnEventNamebooleanenableIsOnSalebooleanResponse· TicketTypeDto
publicIdstringnullablenamestringnullablepriceinteger (int64)quantityAvailableinteger (int32)enableLimitQuantityPerAttendeebooleanquantityLimitPerAttendeeinteger (int32)descriptionstringnullableenableShowTicketDescriptionOnEventNamebooleanimport requests
url = "https://dashboard.crowdpass.co/api/v1/events/{eventId}/ticketTypes"
headers = {"Authorization": "Bearer YOUR_TOKEN"}
payload = {
"name": null,
[...]
